API REFERENCE
Ad Store Advertising Trends API
GET
/open-api/v1/ad-stores/analysis·api.ppspy.com
Data and monitoring usage rules
Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request GET 'https://api.ppspy.com/open-api/v1/ad-stores/analysis?store_id=3da0b54f87306bebc81196bcf8cdba02' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' Request parameters
Pass each parameter in its specified location.
| Parameter | Type | Description |
|---|---|---|
| store_id
query · required
| string | Ad Store ID | |
| date_start
query · optional
| string | Start date (UTC) in Y-m-d format | 2025-01-01 |
| date_end
query · optional
| string | End date (UTC) in Y-m-d format | 2025-01-01 |
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"active_ad_count_history": [
{
"date": "2025-08-06",
"count": 1
},
{
"date": "2025-08-07",
"count": 3
}
],
"ad_count_history": [
{
"date": "2025-08-06",
"count": 1
},
{
"date": "2025-08-07",
"count": 3
}
],
"ad_started_history": [
{
"date": "2025-08-06",
"count": 2
},
{
"date": "2025-08-07",
"count": 1
}
]
},
"credits": {
"remaining_credits": 745,
"consumed_credits": 0,
"total_credits": 745
}
}
Example data from the existing documentation
Response structure
| Name | Type | Required | Constraints | Display Name | Description |
|---|---|---|---|---|---|
| » code | integer | true | none | Status Code | |
| » message | string | true | none | Response message | |
| » data | object | true | none | Response data | |
| »» active_ad_count_history | object[] | false | none | Active ad count history | |
| »»» date | string | true | none | Date (Y-m-d) | |
| »»» count | integer | true | none | Ad count | |
| »» ad_count_history | object[] | false | none | Total ad count history | |
| »»» date | string | true | none | Date (Y-m-d) | |
| »»» count | integer | true | none | Ad count | |
| »» ad_started_history | object[] | false | none | New ads started | |
| »»» date | string | true | none | Date (Y-m-d) | |
| »»» count | integer | true | none | New ad count | |
| » credits | object | true | none | Credits information | Credits information for the current API request |
| »» remaining_credits | integer | true | none | Remaining credits | Remaining credits after this request |
| »» consumed_credits | integer | true | none | Consumed credits | Credits consumed by this request |
| »» total_credits | integer | true | none | Total credits | Total credits of the current credits type |
